Subject: Re: [dispatch] Proposed charter for work on logging

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sun, 10 Mar 2013 17:25:45 +0000

Peter has suggested a minor modification to the charter text (which he also plans to make to the abstract of the requirements document).

   SIP networks use signalling monitoring tools to diagnose user
   reported problem and for regression testing if network or client
   software is upgraded.  As networks grow and become interconnected,
   including connection via transit networks, it becomes impractical to
   predict the path that SIP signalling will take between clients, and
   therefore impractical to monitor SIP signalling end-to-end.

   This work will provide for adding an indicator to the SIP
   protocol which can be used to mark signalling as of interest to logging.
   Such marking will typically be applied as part of network testing
   controlled by the network operator and not used in regular client
   signalling.  However, such marking can be carried end-to-end
   including the SIP terminals, even if a session originates and
   terminates in different networks.

The change is in the 2nd paragraph, changing "subject to" to "of interest to".

Regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of DRAGE, Keith (Keith)
> Sent: 15 February 2013 22:08
> To: [email-masked]
> Subject: [dispatch] Proposed charter for work on logging
> 
> Peter Dawes has submitted
> 
> https://datatracker.ietf.org/doc/draft-dawes-dispatch-logme-reqs/
> 
> as a set of requirements that will work with the session identifier
> produced by the INSIPID working group to enable identification of loggable
> sessions.
> 
> The INIPID WG did consider this work, but considered it was out of scope
> of the work they are currently chartered to do.
> 
> I propose the following scope for DISPATCH to consider based on the
> Abstract of the above document.
> 
>    SIP networks use signalling monitoring tools to diagnose user
>    reported problem and for regression testing if network or client
>    software is upgraded.  As networks grow and become interconnected,
>    including connection via transit networks, it becomes impractical to
>    predict the path that SIP signalling will take between clients, and
>    therefore impractical to monitor SIP signalling end-to-end.
> 
>    This work will provide for adding an indicator to the SIP
>    protocol which can be used to mark signalling as subject to logging.
>    Such marking will typically be applied as part of network testing
>    controlled by the network operator and not used in regular client
>    signalling.  However, such marking can be carried end-to-end
>    including the SIP terminals, even if a session originates and
>    terminates in different networks.
> 
> 
> Milestones
> 
> Dec 2013	Requirements for marking SIP sessions for logging to IESG
> (Informational)
> Mar 2014	Protocol for marking SIP sessions for logging to IESG
> (Proposed standard)
> 
> I would note that the work does not necessarily need a new working group,
> it could for example be an extension of the work of either the SIPCORE WG
> or the INSIPID WG, but that is for the discussion to decide.
> 
> Your comments and proposals for revision are welcome.
> 
> For information there have been a number of previous documents on the
> subject, but these might or might not form part of the proposed solution,
> particularly given that some of them predate the INSIPID work.
> 
> http://tools.ietf.org/html/draft-dawes-sipping-debug-id-01
> http://tools.ietf.org/html/draft-dawes-sipping-debug-event-01
> http://tools.ietf.org/html/draft-kaithal-dispatch-sip-log-information-00
> http://tools.ietf.org/html/draft-dawes-sipping-debug-05
> http://tools.ietf.org/html/draft-dawes-dispatch-debug-00
> http://tools.ietf.org/html/draft-kaithal-sipclf-sip-log-information-00
> 
> 
> Regards
> 
> Keith
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch